<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.2/css/all.min.css">
    <link rel="stylesheet" href="{{ asset('auth/css/authstyle.css') }}">
    <title>Authentication Page</title>
</head>

<body>

<div class="container" id="container">

<!-- Log In Form -->
<div class="form-container sign-in">
<form method="POST" action="{{ route('login') }}">
    @csrf
    <h1>Log In</h1>
    <span>Masuk untuk mulai pilih pelajaran yang sesuai dengan minat dan tujuanmu.</span>
    <input type="email" name="email" placeholder="Email" required>
    <div class="password-container">
        <input type="password" name="password" id="signin-password" placeholder="Password" required>
        <i id="toggle-signin-password" class="fas fa-eye"></i> 
    </div>
    <div class="form-options">
    <div class="remember-container">
        <input type="checkbox" name="remember" id="remember-me">
        <label for="remember-me">Remember Me</label>
    </div>
    <a href="{{ route('password.request') }}" class="forget-password">Forget Your Password?</a>
    </div>
    <button type="submit">Log In</button>
</form>
</div>
<!-- Log In Form End -->

        

        <!-- Toggle Panel -->
        <div class="toggle-container">
            <div class="toggle">
                <div class="toggle-panel toggle-right">
                <img src="{{ asset('user/images/hero-banner.png') }}" alt="Hero Banner" class="toggle-image">  
                </div>
            </div>
        </div>
    </div>

    <script src="{{ asset('auth/js/authscript.js') }}"></script>
</body>

</html>
